## Name

REPAIR CONFIG — Resets the name-to-oid mapping of tables in a replication set, useful for restoring a node after a pg_dump.

## Synopsis

`REPAIR CONFIG (options);`

## Description

Resets name-to-oid mapping.

`SET ID = ival`

  Which set to clean up after.

`EVENT NODE = ival`

  The node ID where this should be submitted.

`EXECUTE ONLY ON = ival`

  The ID of the only node where the mappings are to be updated. If not specified, the default is to execute this on all nodes subscribed to the set.

## Example

    REPAIR CONFIG (
      SET ID = 1,
      EVENT NODE = 2
    );

## Locking Behaviour

No application-visible locking should take place.

## Version Information

This command was introduced in Slony-I 1.1